Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Thu, 01 Oct 2015 09:29:35 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Wed, 30 Sep 2015 12:37:59 +0200
>> 
>> Let me know if I should update from git or stay on the one I am using at
>> the moment.
>
> It's better if you update, so we are looking at the same source and
> running the same code.
>
> But note that the latest updates already changed the line numbers you
> need to use to place breakpoints in xfaces.c.  Here are the updated
> commands (but please double-check they are still valid, before you
> start the session, and change the line numbers as necessary):
>
>   set logging on
>   break xfaces.c:4199
>   commands
>   bt
>   continue
>   end
>   break xfaces.c:4320
>   commands
>   bt
>   p c->used+1
>   continue
>   end
>   break xfaces.c:4344
>   commands
>   bt
>   p c->used-1
>   continue
>   end
>

OK - I am on commit

,----
| commit 9e4a6ad1c77c62e4a7d5b708567e5a1e23b9cdfd
| Author: Tassilo Horn <[email-masked]>
| Date:   Thu Oct 1 08:07:40 2015 +0200
| 
|     Un- and re-prettification are not exclusive
| 
|     * lisp/progmodes/prog-mode.el (prettify-symbols--post-command-hook):
|     Re-apply prettification to previous symbol also when unprettifying next
|     one.
|     
`----

and the line numbers seem to correspond.

I saved the commands, will "source" them from gdb, then "run" emacs and
leave the inhibit-* as they are.

Worked so far - I will let you know with the info when it crashes.

Thanks,

Rainer

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982